Bug 448249 - Review Request: lxsplit - File split / merge utility
Review Request: lxsplit - File split / merge utility
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 20:22 EDT by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 21:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-05-24 20:22:16 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/lxsplit.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/lxsplit-0.2.2-1.src.rpm

Description:
lxSplit is a simple tool for splitting files and joining the splitted files
on linux and unix-like platforms. Splitting is done without compression and
large files (> 4 GB) are supported. lxSplit is fully compatible with the
HJSplit utility which is available for other operating systems.
Comment 1 Rahul Sundaram 2008-05-24 21:09:17 EDT
scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=627472
Comment 2 Parag AN(पराग) 2008-05-24 22:45:31 EDT
do you want to use dist tag also?
Comment 4 Parag AN(पराग) 2008-05-26 00:01:25 EDT
I see that compiler flags are not honoured. Use following
%{__make}  CFLAGS="$RPM_OPT_FLAGS" %{?_smp_flags}

also,change 
%defattr(-,root,root)
to
%defattr(-,root,root,-)

COPYING is missing from %doc
Comment 5 Ralf Corsepius 2008-05-26 01:00:29 EDT
What does this tool do what split (from coreutils) doesn't?
Comment 6 Parag AN(पराग) 2008-05-26 01:11:22 EDT
Ralf,
   From http://lxsplit.sourceforge.net,
   lxSplit splits and merges files with the -s and -j flags respectively.
Starting with version 0.2.1, lxSplit can handle large files (>= 4 GB) both when
splitting and joining.
   I am not sure whether split can handle >= 4GB files. also, do you know any
command that will join fixed size pieces created using "split" command?
Comment 7 Ralf Corsepius 2008-05-26 01:50:43 EDT
"split" is "cat"'s brother.

Both are ISO/POSIX/IEEE standardized tools and are supposed to be available on
any POSIX-compliant OS. On Linux (and thus Fedora), they are part of coreutils

I don't know about these tools current limitations on file sizes. Theoretically
these should be arbitrary large and only be limited by OS details.
Comment 8 Parag AN(पराग) 2008-05-26 02:09:22 EDT
Ralf,
   Can you provide me link of any guidelines or policy page that says that new
similar kind of functionality packages ( compared to existing packages in
Fedora) should not be accepted? So that I will proceed with closing this review
with appropriate official reference link here.
   I don't see any problem in accepting this package in fedora.
Comment 9 Ralf Corsepius 2008-05-26 02:37:45 EDT
(In reply to comment #8)
>    I don't see any problem in accepting this package in fedora.
I didn't mean to say this package shall be rejected.

All I am saying is that there technically is hardly any need for anybody to use
this tool on modern OSes. I.e. I am questioning upstream.


Comment 10 Rahul Sundaram 2008-05-27 02:46:28 EDT
From upstream:
---

Short answer: it actually doesn't.

Long answer:  lxsplit isn't as flexible and as weird for the split file name
and suffix usage as split is, it always appends .001 (up to .999) to the
filename and expects the same pattern when joining files: easier for users
and it is the same behaviour for hjsplit.  It also makes sure that no files
are missing between *.001 and the last one when joining, and only strips
the .<number> from the input file for the output filename.  Less cmdline
arguments.

This util is for people who don't know about split / cat and only want
to do a quick large file splitting / joining.  And yes, if it want a gui app,
which I intend to do, it would be more useful.

---

My important consideration was a compatible equivalent to hjsplit which is a
popular utility in Windows. 
Comment 12 Parag AN(पराग) 2008-05-27 03:24:31 EDT
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=630038
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
f8de6f2d70b31eb473fbe2831844da77  lxsplit-0.2.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 13 Rahul Sundaram 2008-05-27 14:52:51 EDT
New Package CVS Request
=======================
Package Name: lxsplit
Short Description: File split / merge utility
Owners: sundaram
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 14 Rahul Sundaram 2008-05-27 14:54:18 EDT
Add these branches too:

New Branches: EL-4 EL-5
Comment 15 Mamoru TASAKA 2008-05-27 15:03:38 EDT
Just fixing flags...
Comment 16 Tom "spot" Callaway 2008-05-27 16:41:54 EDT
cvs done
Comment 17 Rahul Sundaram 2008-05-27 21:18:36 EDT
builds done
Comment 18 Parag AN(पराग) 2008-05-27 21:41:55 EDT
Rahul,
This is the second time you removed fedora-review+ from my review to fedora-review? 
Make sure this will not happen again in future.
Comment 19 Rahul Sundaram 2008-05-27 21:51:22 EDT
Ok done. 

Note You need to log in before you can comment on or make changes to this bug.